- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ClpConstraintLinear Class Reference

Linear Constraint Class. More...

`#include <ClpConstraintLinear.hpp>`

Inheritance diagram for ClpConstraintLinear:

[legend]
Collaboration diagram for ClpConstraintLinear:

[legend]
List of all members.

## Public Member Functions
Stuff
virtual int | gradient (const ClpSimplex *model, const double *solution, double *gradient, double &functionValue, double &offset, bool useScaling=false, bool refresh=true) const
| Fills gradient.
virtual void | resize (int newNumberColumns)
| Resize constraint.
virtual void | deleteSome (int numberToDelete, const int *which)
| Delete columns in constraint.
virtual void | reallyScale (const double *columnScale)
| Scale constraint.
virtual int | markNonlinear (char *which) const
| Given a zeroed array sets nonlinear columns to 1.
virtual int | markNonzero (char *which) const
| Given a zeroed array sets possible nonzero coefficients to 1.
Constructors and destructors
| ClpConstraintLinear ()
| Default Constructor.
| ClpConstraintLinear (int row, int numberCoefficients, int numberColumns, const int *column, const double *element)
| Constructor from constraint.
| ClpConstraintLinear (const ClpConstraintLinear &rhs)
| Copy constructor .
ClpConstraintLinear & | operator= (const ClpConstraintLinear &rhs)
| Assignment operator.
virtual | ~ClpConstraintLinear ()
| Destructor.
virtual ClpConstraint * | clone () const
| Clone.
Gets and sets
virtual int | numberCoefficients () const
| Number of coefficients.
int | numberColumns () const
| Number of columns in linear constraint.
const int * | column () const
| Columns.
const double * | coefficient () const
| Coefficients.
## Private Attributes
Private member data
Column
int * | column_
double * | coefficient_
| Coefficients.
int | numberColumns_
| Useful to have number of columns about.
int | numberCoefficients_
| Number of coefficients.

## Detailed Description

Linear Constraint Class.

Definition at line 14 of file ClpConstraintLinear.hpp.

## Constructor & Destructor Documentation

ClpConstraintLinear::ClpConstraintLinear | ( |  | ) |

Default Constructor.

ClpConstraintLinear::ClpConstraintLinear | ( | int | row,
|  | int | numberCoefficients,
|  | int | numberColumns,
|  | const int * | column,
|  | const double * | element |
| ) |  |  |

Constructor from constraint.

ClpConstraintLinear::ClpConstraintLinear | ( | const ClpConstraintLinear & | rhs | ) |

Copy constructor .

virtual ClpConstraintLinear::~ClpConstraintLinear | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

virtual int ClpConstraintLinear::gradient | ( | const ClpSimplex * | model,
|  | const double * | solution,
|  | double * | gradient,
|  | double & | functionValue,
|  | double & | offset,
|  | bool | useScaling = `false`,
|  | bool | refresh = `true` |
| ) |  |  | const`[virtual]`

Fills gradient.

If Linear then solution may be NULL, also returns true value of function and offset so we can use x not deltaX in constraint If refresh is false then uses last solution Uses model for scaling Returns non-zero if gradient udefined at current solution

Implements ClpConstraint.

virtual void ClpConstraintLinear::resize | ( | int | newNumberColumns | ) | `[virtual]`

Resize constraint.

Implements ClpConstraint.

virtual void ClpConstraintLinear::deleteSome | ( | int | numberToDelete,
|  | const int * | which |
| ) |  |  | `[virtual]`

Delete columns in constraint.

Implements ClpConstraint.

virtual void ClpConstraintLinear::reallyScale | ( | const double * | columnScale | ) | `[virtual]`

Scale constraint.

Implements ClpConstraint.

virtual int ClpConstraintLinear::markNonlinear | ( | char * | which | ) | const`[virtual]`

Given a zeroed array sets nonlinear columns to 1.

Returns number of nonlinear columns

Implements ClpConstraint.

virtual int ClpConstraintLinear::markNonzero | ( | char * | which | ) | const`[virtual]`

Given a zeroed array sets possible nonzero coefficients to 1.

Returns number of nonzeros

Implements ClpConstraint.

ClpConstraintLinear& ClpConstraintLinear::operator= | ( | const ClpConstraintLinear & | rhs | ) |

Assignment operator.

virtual ClpConstraint* ClpConstraintLinear::clone | ( |  | ) | const`[virtual]`

Clone.

Implements ClpConstraint.

virtual int ClpConstraintLinear::numberCoefficients | ( |  | ) | const`[virtual]`

Number of coefficients.

Implements ClpConstraint.

int ClpConstraintLinear::numberColumns | ( |  | ) | const`[inline]`

Number of columns in linear constraint.

Definition at line 79 of file ClpConstraintLinear.hpp.

References numberColumns_.

const int* ClpConstraintLinear::column | ( |  | ) | const`[inline]`

Columns.

Definition at line 82 of file ClpConstraintLinear.hpp.

References column_.

const double* ClpConstraintLinear::coefficient | ( |  | ) | const`[inline]`

Coefficients.

Definition at line 85 of file ClpConstraintLinear.hpp.

References coefficient_.

## Member Data Documentation

int* ClpConstraintLinear::column_`[private]`

Definition at line 94 of file ClpConstraintLinear.hpp.

Referenced by column().

double* ClpConstraintLinear::coefficient_`[private]`

Coefficients.

Definition at line 96 of file ClpConstraintLinear.hpp.

Referenced by coefficient().

int ClpConstraintLinear::numberColumns_`[private]`

Useful to have number of columns about.

Definition at line 98 of file ClpConstraintLinear.hpp.

Referenced by numberColumns().

int ClpConstraintLinear::numberCoefficients_`[private]`

Number of coefficients.

Definition at line 100 of file ClpConstraintLinear.hpp.

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Osi-0.98.1/Clp/src/ClpConstraintLinear.hpp